Subject: Re: [PATCH] bash: offer to show (un)staged changes

From: Junio C Hamano <[email-masked]>
Date: Sat, 17 Jan 2009 18:13:48 -0800

Thomas Rast <[email-masked]> writes:

> I came up with this after sending two incomplete patches on the same
> night, and really like it.  Perhaps others might find it useful.

Any patch worth discussing (on this list at least) would need a nontrivial
commit log message that you need to really think while writing.  It is
natural to assume people would be making them with their editor, not with
"commit -m".  These two incomplete patches could have been avoided if you
paid attention to the status output that is in the commit log message
buffer.  Perhaps we should make it even louder in some way?